Bug 146360 - cman_tool leave simultaneously on all nodes causes the "last" one to hang
Summary: cman_tool leave simultaneously on all nodes causes the "last" one to hang
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: cman   
(Show other bugs)
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christine Caulfield
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-27 15:31 UTC by Corey Marthaler
Modified: 2009-04-16 19:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-27 15:33:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2005-01-27 15:31:25 UTC
Description of problem:
Every one is in the cman cluster:

[root@morph-02 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name
   1    1    5   M   morph-01
   2    1    5   M   morph-03
   3    1    5   M   morph-05
   4    1    5   M   morph-04
   5    1    5   M   morph-02

[root@morph-02 root]# cat /proc/cluster/status
Protocol version: 5.0.1
Config version: 1
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Cluster-Member
Nodes: 5
Expected_votes: 5
Total_votes: 5
Quorum: 3
Active subsystems: 0
Node addresses: 192.168.44.62

I then do a 'cman_tool leave' on all nodes at the same time and the
cmd on the "last" node hangs.

All nodes but morph-02 are no longer in the cluster:
root@morph-01 root]# cat /proc/cluster/status
Protocol version: 5.0.1
Config version: 1
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Not-in-Cluster
[root@morph-01 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name


[root@morph-03 root]# cat /proc/cluster/status
Protocol version: 5.0.1
Config version: 1
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Not-in-Cluster
[root@morph-03 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name


[root@morph-04 root]# cat /proc/cluster/status
Protocol version: 5.0.1
Config version: 1
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Not-in-Cluster
[root@morph-04 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name


[root@morph-05 root]# cat /proc/cluster/status
Protocol version: 5.0.1
Config version: 1
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Not-in-Cluster
[root@morph-05 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name


But morph-02 has a different view:

[root@morph-02 root]# cat /proc/cluster/status
Protocol version: 5.0.1
Config version: 1
Cluster name: morph-cluster
Cluster ID: 41652
Membership state: Transition-Master
Nodes: 4
Expected_votes: 5
Total_votes: 4
Quorum: 3
Active subsystems: 0
Node addresses: 192.168.44.62

[root@morph-02 root]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name
   1    1    5   X   morph-01
   2    1    5   M   morph-03
   3    1    5   M   morph-05
   4    1    5   M   morph-04
   5    1    5   M   morph-02

...and a still hung cman_tool leave cmd.

All the other nodes spit out the following messages:
Jan 26 17:24:38 morph-01 ccsd[3813]: Unable to connect to cluster
infrastructure after 990 seconds.


Version-Release number of selected component (if applicable):
CMAN <CVS> (built Jan 25 2005 15:37:28) installed


How reproducible:
Always

Comment 1 Corey Marthaler 2005-01-27 15:33:30 UTC
damn reload button! Almost should be a bug against bugzilla.


Note You need to log in before you can comment on or make changes to this bug.